PKGCTL-BUILD(1)

NOME
pkgctl-build - Constrói pacotes dentro de um chroot limpo

SINOPSE

pkgctl build [OPÇÕES] [CAMINHO...]

DESCRIÇÃO

Constrói pacotes em um ambiente chroot limpo, oferecendo várias opções e funcionalidades para personalizar o processo de construção de pacotes.

Por padrão, os ambientes chroot estão localizados em /var/lib/archbuild/.

OPÇÕES DE CONSTRUÃÇO

--arch ARQUITETURA
    Especifica arquiteturas para construir (desativa a detecção automática)

--repo REPO
    Especifica o repositório de destino para novos pacotes que não estejam em nenhum repositório oficial. Usa 'extra' como fallback ao construir pacotes que ainda não estejam presentes em nenhum repositório oficial. O uso desta opção não é permitido se o pacote já tiver sido lançado, pois contornaria a proteção de detecção automática.

-s, --staging
    Constrói a partir da contraparte de staging do repositório detectado automaticamente

-t, --testing
    Constrói a partir da contraparte de testing do repositório detectado automaticamente

-o, --offload
    Constrói em um servidor remoto e transfere artefatos posteriormente

-c, --clean
    Recria o chroot antes de construir

--inspect QUANDO
    Gera um shell interativo para inspecionar o chroot após a construção. Útil para facilitar a depuração da construção de um pacote.
    Valores possíveis para QUANDO são 'never', 'always' ou 'failure'

-w, --worker SLOT
    Nome do slot do worker, útil para construções simultâneas. Por padrão, o slot é atribuído automaticamente ao número de pontos do TTY atual. Caso o chamador não seja um TTY, escolha um slot aleatório entre 1 e o número de unidades de processamento disponíveis.

--nocheck
    Não executa a função check() no PKGBUILD

OPÇÕES DE INSTALAÇÃO

-I, --install-to-chroot ARQUIVO
    Instala um pacote na cópia de trabalho do chroot

-i, --install-to-host MODO
    Instala os pacotes construídos no sistema host. Útil quando se deseja verificar se o pacote funciona conforme o esperado.

        • Quando MODO é all, isso instala todos os pacotes construídos

        • Quando MODO é auto, isso instala todos os pacotes construídos que estão instalados atualmente

OPÇÕES DE PKGBUILD

--pkgver=PKGVER
    Define pkgver, redefine pkgrel e atualiza as somas de verificação

--pkgrel=PKGREL
    Define pkgrel para um valor fornecido

--rebuild
    Incrementa a variável pkgrel atual

--update-checksums
    Força o cálculo e a atualização das somas de verificação desabilitando a detecção automática.
    Deve ser usada apenas em circunstâncias especiais, como ao adicionar novos arquivos de patch ao array de fontes. Durante operações regulares de empacotamento, as somas de verificação são atualizadas automaticamente ao atualizar um pacote usando --pkgver ou devem permanecer imutáveis ​​durante as reconstruções.

-e, --edit
    Edita o PKGBUILD antes de construção

OPÇÕES DE LANÇAMENTO

-r, --release
    Faz commit, tag e lança automaticamente após a construção
    É necessário especificar esta opção ao usar qualquer uma das seguintes opções nesta seção

-m, --message MSG
    Usa a mensagem <msg> fornecida como mensagem de commit

-u, --db-update
    Atualiza automaticamente o banco de dados do pacman como a última ação

OPÇÕES

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

pkgctl-release(1) pkgctl-db-update(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).